Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417645 - [RFE] Containerized deployment of Cinder service
Summary: [RFE] Containerized deployment of Cinder service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ga
: 12.0 (Pike)
Assignee: Jon Bernard
QA Contact: Avi Avraham
URL:
Whiteboard:
Depends On:
Blocks: 1415556 1442136 1483692
TreeView+ depends on / blocked
 
Reported: 2017-01-30 13:52 UTC by Sean Cohen
Modified: 2018-02-05 19:04 UTC (History)
17 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.3-10.el7ost puppet-tripleo-7.4.3-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 21:06:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1691753 0 None None None 2017-05-18 18:52:55 UTC
OpenStack gerrit 457011 0 None None None 2017-05-18 18:54:03 UTC
OpenStack gerrit 457820 0 None None None 2017-05-18 18:54:48 UTC
OpenStack gerrit 462538 0 None None None 2017-05-17 21:55:43 UTC
OpenStack gerrit 466564 0 None None None 2017-05-24 01:53:43 UTC
OpenStack gerrit 518854 0 None None None 2017-11-16 21:41:48 UTC
OpenStack gerrit 518855 0 None None None 2017-11-16 21:42:21 UTC
OpenStack gerrit 520787 0 None None None 2017-11-16 21:42:58 UTC
OpenStack gerrit 521102 0 None None None 2017-11-17 15:26:54 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Sean Cohen 2017-01-30 13:52:37 UTC
Provide customers more stable, flexible, reliable and faster deployments with more reliable and flexible lifecycle management and possibility to rollback when something goes wrong.

Comment 3 Christian Schwede (cschwede) 2017-04-24 13:38:23 UTC
Changing to ON_DEV - work already in progress.

Comment 4 Paul Grist 2017-05-17 21:55:43 UTC
Add OS-brick gerrit, track all the cinder containerization patches here:

- cinder API
- iscsid
- multipathd
- cinder volume
- cinder scheduler
- cinder backup

Comment 11 Alan Bishop 2017-11-16 21:41:49 UTC
Moving back to ON_DEV as we've identified 3 patches that are required for the
feature to work. 

[1] and [2] are required for HA, are already on stable/pike, and just need to
be pulled down to osp-12.

[3] was recently posted to upstream master. This is why ON_DEV and not POST.

[1] https://review.openstack.org/518854
[2] https://review.openstack.org/518855
[3] https://review.openstack.org/520787

Comment 12 Alan Bishop 2017-11-17 15:26:55 UTC
(In reply to Alan Bishop from comment #11)
> Moving back to ON_DEV as we've identified 3 patches that are required for the
> feature to work. 
> 
> [1] and [2] are required for HA, are already on stable/pike, and just need to
> be pulled down to osp-12.
> 
> [3] was recently posted to upstream master. This is why ON_DEV and not POST.
> 
> [1] https://review.openstack.org/518854
> [2] https://review.openstack.org/518855
> [3] https://review.openstack.org/520787

[4] https://review.openstack.org/521102

(this is stable/pike version of [3])

Comment 14 Alan Bishop 2017-11-30 19:39:38 UTC
I was asked to summarize a few key points regarding this RFE.

- In a stock OSP-12 deployment, most services are containerized but cinder
  services are not. I do not believe OSP-12 supports a completely non-
  containerized deployment (everything on baremetal).
- You enable the containerized cinder feature by overriding a handful of
  TripleO Heat resources used to deploy the overcloud.
  - You do not control the feature by making post-deployment configuration
    changes.
  - It's best to use a fresh deployment, and not try to update an existing
    overcloud deployment.

You enable containerized cinder services by including the following lines in
an existing THT environment file, or by creating a new file and referencing it
in your overcloud deployment command:

resource_registry:
  OS::TripleO::Services::CinderApi: /usr/share/openstack-tripleo-heat-templates/docker/services/cinder-api.yaml
  OS::TripleO::Services::CinderScheduler: /usr/share/openstack-tripleo-heat-templates/docker/services/cinder-scheduler.yaml
  OS::TripleO::Services::CinderVolume: /usr/share/openstack-tripleo-heat-templates/docker/services/cinder-volume.yaml
  OS::TripleO::Services::Iscsid: /usr/share/openstack-tripleo-heat-templates/docker/services/iscsid.yaml

The next issue is ensuring the required containers are available for the
deployment. TripleO Pike deployments require you supply a file that specifies
the docker container image name and registry location for all containerized
services. Upstream documentation [1] describes how to create this file, and
the file is automatically generated by deployment tools like
TripleO Quickstart and Infrared. I do not know what the downstream (OSP)
documentation looks like, or how the information should be conveyed to
partners who are using this RFE to develop containerized versions of their
own cinder drivers.

[1] https://docs.openstack.org/tripleo-docs/latest/install/containers_deployment/overcloud.html

Comment 19 errata-xmlrpc 2017-12-13 21:06:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.